<?php 
/*This file is part of Avadar child theme.

All functions of this file will be loaded before of parent theme functions.
Learn more at https://codex.wordpress.org/Child_Themes.

Note: this function loads the parent stylesheet before, then child theme stylesheet
(leave it in place unless you know what you are doing.)
*/



function avadar_fonts_url() {
	$fonts_url = '';

		$font_families = array();

		$font_families[] = 'Roboto Slab:400,400i';
		$font_families[] = 'Bitter:400,400i,700,700i';

		$query_args = array(
			'family' => urlencode( implode( '|', $font_families ) ),
			'subset' => urlencode( 'latin,latin-ext' ),
		);

		$fonts_url = add_query_arg( $query_args, 'https://fonts.googleapis.com/css' );


	return esc_url_raw( $fonts_url );
}


function avadar_enqueue_child_styles() {
	wp_enqueue_style( ' avadar-google-font', avadar_fonts_url(), array(), null );
	wp_enqueue_style( ' avadar-parent-style', get_template_directory_uri() . '/style.css',array('bootstrap','third-eye-default', 'third-eye-style'), '', 'all');
   wp_enqueue_style( ' avadar-main',get_stylesheet_directory_uri() . '/assets/css/main.css',array(), '', 'all');

  
}
add_action( 'wp_enqueue_scripts', 'avadar_enqueue_child_styles');


function avadar_body_classes( $classes ) {
 $avadar_view_set = get_theme_mod( 'view_set','grid' );
	
	if( $avadar_view_set == 'grid' && !is_single()){
		$classes[] = 'news-grid';
	}
	return $classes;
}
add_filter( 'body_class', 'avadar_body_classes' );


// customize include

require get_stylesheet_directory().'/inc/customizer.php';




