<?php
/**
 * Avadar Theme Customizer
 *
 * @package Avadar
 */

/*
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function avadar_content_view_sanitize($value){ 
    if(!in_array($value, array('grid','card-view','default-view'))){
        $value = 'grid';
    }
    return $value;
}


function avadar_customize_register( $wp_customize ) {

	$wp_customize->remove_control( 'third_eye_post_control' );

    $wp_customize->add_section('avadar_post_section', array(
        'title' => __('Avadar post', 'avadar'),
        'capability'     => 'edit_theme_options',
        'description'     => __('Third eye post settings section.', 'avadar'),
    ));
    /*
    * content view
    */
    $wp_customize->add_setting('avadar_post_view', array(
        'default'       => 'grid',
        'capability'     => 'edit_theme_options',
        'type'           => 'theme_mod',
        'sanitize_callback' => 'avadar_content_view_sanitize',
        'transport' => 'refresh',
    ));
    $wp_customize->add_control('avadar_post_view_control', array(
        'label'      => esc_html__('Post view style', 'avadar'),
        'section'    => 'avadar_post_section',
        'settings'   => 'avadar_post_view',
        'type'       => 'select',
        'choices'    => array(
            'default-view' => esc_html__('Default view', 'avadar'),
            'card-view' => esc_html__('List view', 'avadar'),
            'grid' => esc_html__('Grid view', 'avadar'),
        ),
    ));


}
add_action( 'customize_register', 'avadar_customize_register',99 );
