<?php
/**
 * Template part for displaying posts
 *
 * @link https://developer.wordpress.org/themes/basics/template-hierarchy/
 *
 * @package Third_Eye
 */
$avadar_post_view = get_theme_mod( 'avadar_post_view', 'grid' );

?>
<?php
 if ( is_single() || $avadar_post_view == 'default-view'):
 	if(!is_single()){
 		$avdar_post_default = 'default-not-single';
 	}else{
 		$avdar_post_default = 'default-single';
 	}
?>
	<article id="post-<?php the_ID(); ?>" <?php post_class($avdar_post_default); ?>>
		<?php third_eye_post_thumbnail(); ?>
		<header class="entry-header">
			<?php
			if(is_single()){
				the_title( '<h2 class="entry-title">', '</h2>' );
			}else{ ?>
				<h2 class="entry-title"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h2>
			<?php
			}
			if ( 'post' === get_post_type() ) :
				?>
				<div class="single-meta">
					<span class="author"><?php echo wp_kses_post(get_avatar( get_the_author_meta('ID'))); ?> <a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>"><?php echo esc_html(get_the_author_meta( 'display_name')); ?></a></span>
					<span><i class="fa fa-clock-o"></i> <?php echo esc_html(get_the_date(get_option( 'date_format' ))); ?></span>
					
				</div><!-- .entry-meta -->
			<?php endif; ?>
		</header><!-- .entry-header -->
		<div class="entry-content">
			<?php
			if(is_single()){
			the_content( sprintf(
				wp_kses(
					/* translators: %s: Name of current post. Only visible to screen readers */
					__( 'Continue reading<span class="screen-reader-text"> "%s"</span>', 'avadar' ),
					array(
						'span' => array(
							'class' => array(),
						),
					)
				),
				get_the_title()
			) );

			wp_link_pages( array(
				'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'avadar' ),
				'after'  => '</div>',
			) );
		}else{
			the_excerpt();
		}

			?>
		</div><!-- .entry-content -->

		<footer class="entry-footer">
			<?php third_eye_entry_footer(); ?>
		</footer><!-- .entry-footer -->
	</article><!-- #post-<?php the_ID(); ?> -->
<?php else:
if($avadar_post_view == 'grid' ){
	get_template_part( 'template-parts/content-grid' );
}else{
	$avadar_view_class = 'flex-md-row';
	$avadar_view_column = 'col-md-12 list-post';

 ?>
	<div class="<?php echo esc_attr($avadar_view_column); ?>">
	<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		<div class="card <?php echo esc_attr($avadar_view_class); ?> ">
			<div class="card-img-set">
				<?php
				if(has_post_thumbnail()){
				 the_post_thumbnail( 'mediume', array('class'=> 'Card image cap') );
				}else{?>
					<img src="<?php echo esc_url(get_template_directory_uri().'/assets/img/default-img.jpg'); ?>" alt="<?php the_title(); ?>">
			<?php } ?>
				
				<div class="card-meta">
					<span><i class="fa fa-clock-o"></i> <?php echo get_the_date(get_option( 'date_format' )); ?></span>
					<span class="author"><?php echo wp_kses_post(get_avatar( get_the_author_meta('ID'))); ?> <a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>"><?php echo esc_html(get_the_author_meta( 'display_name')); ?></a></span>
					
				</div><!-- .entry-meta -->
			</div>
			<div class="card-body">
				<?php the_title( '<h5 class="card-title"><a href="' . esc_url( get_permalink() ) . '" rel="bookmark">', '</a></h5>' ); ?>
				<p class="card-text">
				<?php echo wp_kses_post(wp_trim_words( get_the_content(), 25, '...' )); ?>
			    </p>
			    <a href="<?php the_permalink(); ?>" class="btn btn-outline-dark shadow"><?php esc_html_e('Read more','avadar'); ?></a>
			</div>
			<div class="card-footer">
				<?php third_eye_entry_footer(); ?>
			</div><!-- .entry-footer -->
		</div>



	</article><!-- #post-<?php the_ID(); ?> -->
</div>
<?php 
}
endif; 

?>
